Debian Bug report logs - #601319
initramfs-tools: existing hook script foo~ causes all hook scripts to be ignored

version graph

Package: initramfs-tools; Maintainer for initramfs-tools is Debian kernel team <debian-kernel@lists.debian.org>; Source for initramfs-tools is src:initramfs-tools.

Reported by: Marc Haber <mh+debian-bugs@zugschlus.de>

Date: Mon, 25 Oct 2010 07:51:01 UTC

Severity: important

Found in version initramfs-tools/0.98.5

Fixed in version initramfs-tools/0.100

Done: Michael Prokop <mika@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#601319; Package initramfs-tools. (Mon, 25 Oct 2010 07:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
New Bug report received and forwarded. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Mon, 25 Oct 2010 07:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-bugs@zugschlus.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: initramfs-tools: existing foo~ causes foo to be ignored
Date: Mon, 25 Oct 2010 09:48:55 +0200
Package: initramfs-tools
Version: 0.98.5
Severity: normal

Hi,

at least in /etc/initramfs-tools/hooks, existence of a foo~ file
causes foo (the version without the tilde) to be ignored. If that's a
feature, it needs to be documented, and update-initramfs -v output
should more prominently reflect this.

Greetings
Marc




Severity set to 'important' from 'normal' Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Mon, 16 May 2011 13:18:02 GMT) Full text and rfc822 format available.

Changed Bug title to 'initramfs-tools: existing hook script foo~ causes all hook scripts to be ignored' from 'initramfs-tools: existing foo~ causes foo to be ignored' Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Mon, 16 May 2011 13:21:27 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Mon, 16 May 2011 17:39:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#601319; Package initramfs-tools. (Mon, 16 May 2011 19:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Mon, 16 May 2011 19:03:03 GMT) Full text and rfc822 format available.

Message #16 received at 601319@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@debian.org>
To: Marc Haber <mh+debian-bugs@zugschlus.de>, 601319@bugs.debian.org
Subject: Re: Bug#601319: initramfs-tools: existing foo~ causes foo to be ignored
Date: Mon, 16 May 2011 21:01:25 +0200
[Message part 1 (text/plain, inline)]
* Marc Haber [Mon Okt 25, 2010 at 09:48:55 +0200]:

> at least in /etc/initramfs-tools/hooks, existence of a foo~ file
> causes foo (the version without the tilde) to be ignored. If that's a
> feature, it needs to be documented, and update-initramfs -v output
> should more prominently reflect this.

This is clearly not the expected behaviour, I've just commited a
bugfix into our git which is supposed to fix your issue:

  http://git.debian.org/?p=kernel/initramfs-tools.git;a=commit;h=ee16a4ebfa07b5579519039cbc6e48d3a5494a6e

Thanks for reporting,
regards,
-mika-
[signature.asc (application/pgp-signature, inline)]

Reply sent to Michael Prokop <mika@debian.org>:
You have taken responsibility. (Tue, 14 Feb 2012 14:51:17 GMT) Full text and rfc822 format available.

Notification sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
Bug acknowledged by developer. (Tue, 14 Feb 2012 14:51:17 GMT) Full text and rfc822 format available.

Message #21 received at 601319-close@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@debian.org>
To: 601319-close@bugs.debian.org
Subject: Bug#601319: fixed in initramfs-tools 0.100
Date: Tue, 14 Feb 2012 14:48:33 +0000
Source: initramfs-tools
Source-Version: 0.100

We believe that the bug you reported is fixed in the latest version of
initramfs-tools, which is due to be installed in the Debian FTP archive:

initramfs-tools_0.100.dsc
  to main/i/initramfs-tools/initramfs-tools_0.100.dsc
initramfs-tools_0.100.tar.gz
  to main/i/initramfs-tools/initramfs-tools_0.100.tar.gz
initramfs-tools_0.100_all.deb
  to main/i/initramfs-tools/initramfs-tools_0.100_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 601319@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Prokop <mika@debian.org> (supplier of updated initramfs-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 14 Feb 2012 14:42:23 +0100
Source: initramfs-tools
Binary: initramfs-tools
Architecture: source all
Version: 0.100
Distribution: unstable
Urgency: low
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Changed-By: Michael Prokop <mika@debian.org>
Description: 
 initramfs-tools - generic modular initramfs generator
Closes: 454665 566401 586381 589963 601319 607888 610462 615831 624702 628374 636495 639902 649399
Changes: 
 initramfs-tools (0.100) unstable; urgency=low
 .
   Release "singing in the snow ☃☃☃"
 .
   [ Michael Prokop ]
   * [16280bb] lsinitramfs: support xz/lzma, bzip2 and lzop as compress
     methods. (Closes: #586381)
   * [ee16a4e] set_initlist: redirect warning messages to stderr.
     (Closes: #601319)
   * [af110e0] Alternate Recommends on busybox-static (Closes: #639902,
     #454665)
   * [b61413d] warn user if directory is present in confdir
     (Closes: #610462)
 .
   [ maximilian attems ]
   * [5409ca7] manual_add_modules: No longer add firmware.agent too.
     (Closes: #566401)
   * [4f98b0b] mkinitramfs: Use version comparison for xz or other
     compression tools (Closes: #624702)
   * [d479b47] initramfs-tools: rephrase description
   * [07c822f] mkinitramfs: Check if TMPDIR is writable
   * [b9ff58c] mkinitramfs: Use /var/tmp rather then /tmp for space reasons
   * [bd3c5d8] Revert "Revert "mkinitramfs: Nuke MIN_VERSION handling.""
   * [313db4c] MODULES=dep: Use /sys again to decide for libata or ide
     (Closes: #607888)
   * [9bec96f] debian/control: Drop versioned depend on pre-Etch udev
     version
   * [02ea666] debian/control: Tighten dep on klibc-utils 1.5.23-2
   * [5c68e6e] init: Prepare for switch_root(8) usage
   * [5e1f500] update-initramfs: Cleanup nowadays unused run_lilo()
   * [b0d14a0] update-initramfs: run_bootloader() hooks on create too
   * [8d0ffcb] preinst: get rid of awk usage (Closes: #589963)
 .
   [ Timo Juhani Lindfors ]
   * [63932cc] panic(): print the name of each module before loading it
   * [cd1981e] panic: Load modules for highly probable USB keyboard
     (Closes: #615831)
 .
   [ Martin Pitt ]
   * [b1530ee] hooks/busybox: Fix 2.99 busybox breakage (Closes: #628374)
 .
   [ Alkis Georgopoulos ]
   * [b938c7e] configure_networking() wait for udev to populate available
     nics (LP: #682445)
 .
   [ Harald Hoyer ]
   * [9249db6] MODULES=dep: awk free version for root dev search
 .
   [ Sven Joachim ]
   * [717397c] copy_exec: Handle optimized libraries under multiarch paths
     (Closes: #636495)
 .
   [ Colin Watson ]
   * [6cf2bd7] mark Multi-Arch: foreign (Closes: #649399)
Checksums-Sha1: 
 bc2050eeb1a6bf59db6cd28df61a0ff5caa2d9aa 1020 initramfs-tools_0.100.dsc
 dc490fd5ced826064036e9673a85e046123da4f5 83219 initramfs-tools_0.100.tar.gz
 22bb0cebf88b5e0565760739f6ccb4f877558dfd 89390 initramfs-tools_0.100_all.deb
Checksums-Sha256: 
 82ba37e8eee1a451f65bcc1967b3f4d7866c19735f32f66b405ee0a2de70a9cb 1020 initramfs-tools_0.100.dsc
 137e0df9d7ad85aaf0094f18c1850e6eb37b1d120efcffb158b73ec806b3b0c2 83219 initramfs-tools_0.100.tar.gz
 da173ff372cfbc2b6869c42bdbe85365376052fb94363f73b89f4432a0868bf7 89390 initramfs-tools_0.100_all.deb
Files: 
 9bc857366110e632f554fba12d45f827 1020 utils optional initramfs-tools_0.100.dsc
 1b684b9f57c5e266f6a3ebf5bbbfab12 83219 utils optional initramfs-tools_0.100.tar.gz
 2a0d2934df4d5e3ddcc64997df3c0009 89390 utils optional initramfs-tools_0.100_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk86ZZUACgkQ2N9T+zficujjIwCdEcCfsrXrrKNXXbdN5B3E79Al
y+IAnjGWyvw9ltDoq36cs52PW4O7sEms
=OH9R
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 24 Mar 2012 07:36:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:17:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.